Subject: Re: [payload] WGLC for VP8 (draft-ietf-payload-vp8-11)

From: Harald Alvestrand <[email-masked]>
Date: Mon, 11 Aug 2014 14:08:10 +0200

Thanks for the comments!

On 06/30/2014 10:32 AM, Wang, Ye-Kui wrote:
> I reviewed this draft and have the following, mostly minor, comments (otherwise, the draft looks good to me to proceed):
>
> 1. In Subsection 4.5.1, a typo in the following sentence in step 2: "it detected" -> "is detected".
>
> 	"If a loss it detected before the end of the
> 	partition, abandon all packets in this partition and continue the
> 	scan repeating 1."
>     Also, I guess "repeating 1" means "repeating from step 1". If true, clarify it herein as well as in step 3 in the same subsection.
>
> 2. Nice to have but not absolutely needed: The concepts of golden frames and altref frames are mentioned. It'd be nice if a brief definition or description of them could be provided in the payload draft, such that readers of this draft can understand the concepts without having to read through the VP8 spec itself.
>
> 3. In Subsection 5.3, a typo in the following sentence: acknowledge -> acknowledged.
>
> 	Once the new golden frame is established and
> 	acknowledge, the same rule applies when updating the altref frame.
>
> 4. In Subsection 5.3, the real intention of the following sentence is probably to say that the receiver can keep sending SLI messages at any interval allowed by the RTCP sending timing restrictions as specified in RFC 4585, as long as the picture is corrupted. It'd better that this is clarified.
>
> 	Also, if an SLI is lost, the receiver can keep sending
> 	SLI messages at any interval, as long as the picture is corrupted.
>
> 5. The semantics of the max-fr is as follows. Would it be better to allow non-integer max frame rates as well such as 29.97 frames per second? It's suggested to allow this e.g. by saying that the max-fr specifies the value of the maximum frame rate times 100, something like that.
>
>        max-fr:  The value of max-fr is an integer indicating the maximum
>           frame rate in units of frames per second that the decoder is
>           capable of decoding.

Just commenting on this:
The max-fr is an upper bound, not a value that is going to be set 
anywhere. I think it would be highly unusual to have a decoder capable 
of 29.97 frames per second and not capable of 30 frames per second.

So in the name of keeping things simple, I'd like to keep it "frames per 
second", and integer.

---

From: "Wang, Ye-Kui" <[email-masked]>
Date: Mon, 11 Aug 2014 16:32:13 +0000

>From codec point of view, you are probably right. But what if you think about allowing using of max-fr to indicate the max frame rate of an entire system - what if the connected display actually has a non-integer max frame rate?

BR, YK

-----Original Message-----
From: payload [mailto:[email-masked]] On Behalf Of Harald Alvestrand
Sent: Monday, August 11, 2014 5:08 AM
To: [email-masked]
Subject: Re: [payload] WGLC for VP8 (draft-ietf-payload-vp8-11)

Thanks for the comments!

>           frame rate in units of frames per second that the decoder is

Just commenting on this:
The max-fr is an upper bound, not a value that is going to be set anywhere. I think it would be highly unusual to have a decoder capable of 29.97 frames per second and not capable of 30 frames per second.

So in the name of keeping things simple, I'd like to keep it "frames per second", and integer.

_______________________________________________
payload mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/payload

---

From: Harald Alvestrand <[email-masked]>
Date: Mon, 11 Aug 2014 18:43:38 +0200

>  From codec point of view, you are probably right. But what if you think about allowing using of max-fr to indicate the max frame rate of an entire system - what if the connected display actually h…
If it has a single fixed frame rate, max-fr is not sufficient to 
negotiate that even if non-integer framerates were supported.

I don't want to attempt to make this a tool fit for all negotiation 
purposes.

---

From: "Wang, Ye-Kui" <[email-masked]>
Date: Mon, 11 Aug 2014 18:00:50 +0000

> If it has a single fixed frame rate, max-fr is not sufficient to negotiate that even if non-integer framerates were supported.

Why?

BR, YK

-----Original Message-----
From: payload [mailto:[email-masked]] On Behalf Of Harald Alvestrand
Sent: Monday, August 11, 2014 9:44 AM
To: Wang, Ye-Kui; [email-masked]
Subject: Re: [payload] WGLC for VP8 (draft-ietf-payload-vp8-11)

>  From codec point of view, you are probably right. But what if you think about allowing using of max-fr to indicate the max frame rate of an entire system - what if the connected display actually h…
If it has a single fixed frame rate, max-fr is not sufficient to negotiate that even if non-integer framerates were supported.

I don't want to attempt to make this a tool fit for all negotiation purposes.

---

From: Harald Alvestrand <[email-masked]>
Date: Mon, 11 Aug 2014 20:15:10 +0200

>> If it has a single fixed frame rate, max-fr is not sufficient to negotiate that even if non-integer framerates were supported.

Because max-fr only tells you that a max frame rate is supported, not 
the min frame rate supported.

If you have a device capable of 15 fps operation only, so that you can't 
accept video at 7.5 fps, no amount of sending max-fr will tell the 
sender that - so you must use some other mechanism.

If you already have another mechanism for setting an exact frame rate, 
you can use that for setting 29.97 fps too.

---

From: "Wang, Ye-Kui" <[email-masked]>
Date: Mon, 11 Aug 2014 18:19:08 +0000

Convincing. Thanks!

BR, YK

-----Original Message-----
From: Harald Alvestrand [mailto:[email-masked]] 
Sent: Monday, August 11, 2014 11:15 AM
To: Wang, Ye-Kui; [email-masked]
Subject: Re: [payload] WGLC for VP8 (draft-ietf-payload-vp8-11)

>> If it has a single fixed frame rate, max-fr is not sufficient to negotiate that even if non-integer framerates were supported.

Because max-fr only tells you that a max frame rate is supported, not the min frame rate supported.

If you have a device capable of 15 fps operation only, so that you can't accept video at 7.5 fps, no amount of sending max-fr will tell the sender that - so you must use some other mechanism.

If you already have another mechanism for setting an exact frame rate, you can use that for setting 29.97 fps too.

---

From: Henrik Lundin <[email-masked]>
Date: Wed, 13 Aug 2014 15:40:09 +0200

Dear all,

We just uploaded draft-ietf-payload-vp8-12 to address the comments from
Roni and YK (and some more). Please, let us know what you think.

Sincerely,
/Henrik

On Mon, Aug 11, 2014 at 8:19 PM, Wang, Ye-Kui <[email-masked]>
wrote:

> accept video at 7.5 fps, no amount of sending max-fr will tell the sender
> that - so you must use some other mechanism.
>

-- 
Henrik Lundin | WebRTC Software Eng | [email-masked] | +46 70 646 13 41

---

From: "Roni Even" <[email-masked]>
Date: Wed, 13 Aug 2014 18:13:10 +0300

Hi,

Thanks, my comments were addressed

Roni

From: payload [mailto:[email-masked]] On Behalf Of Henrik Lundin
Sent: 13 August, 2014 4:40 PM
To: [email-masked]
Subject: Re: [payload] WGLC for VP8 (draft-ietf-payload-vp8-11)

Dear all,

We just uploaded draft-ietf-payload-vp8-12 to address the comments from Roni and YK (and some more). Please, let us know what you think.

Sincerely,

/Henrik

On Mon, Aug 11, 2014 at 8:19 PM, Wang, Ye-Kui <[email-masked]> wrote:

Convincing. Thanks!

BR, YK

-----Original Message-----
From: Harald Alvestrand [mailto:[email-masked]]
Sent: Monday, August 11, 2014 11:15 AM
To: Wang, Ye-Kui; [email-masked]
Subject: Re: [payload] WGLC for VP8 (draft-ietf-payload-vp8-11)

 

--

---

From: "Wang, Ye-Kui" <[email-masked]>
Date: Wed, 13 Aug 2014 16:30:01 +0000

I don’t have further comments, either.

BR, YK

From: payload [mailto:[email-masked]] On Behalf Of Roni Even
Sent: Wednesday, August 13, 2014 8:13 AM
To: 'Henrik Lundin'; [email-masked]
Subject: Re: [payload] WGLC for VP8 (draft-ietf-payload-vp8-11)

Hi,

From: payload [mailto:[email-masked]] On Behalf Of Henrik Lundin
Sent: 13 August, 2014 4:40 PM
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [payload] WGLC for VP8 (draft-ietf-payload-vp8-11)

Dear all,

Sincerely,
/Henrik

On Mon, Aug 11, 2014 at 8:19 PM, Wang, Ye-Kui <[email-masked]<mailto:[email-masked]>> wrote:
Convincing. Thanks!

BR, YK

-----Original Message-----
From: Harald Alvestrand [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Monday, August 11, 2014 11:15 AM
To: Wang, Ye-Kui; [email-masked]<mailto:[email-masked]>
Subject: Re: [payload] WGLC for VP8 (draft-ietf-payload-vp8-11)

_______________________________________________
payload mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/payload

--
Henrik Lundin | WebRTC Software Eng | [email-masked]<mailto:[email-masked]> | +46 70 646 13 41